//
//  OrderModel.swift
//  BrokerDriver
//
//  Created by 无故事王国 on 2023/4/26.
//

import Foundation
import HandyJSON


struct AttachmentModel:HandyJSON{
    var current = -1
    var pages = -1
    var records = [AttachmentRecordModel]()
    var size = -1
    var total = -1
}


struct AttachmentRecordModel:HandyJSON{
    var id = 0
    var orderId = 0
    var name = ""
    var file = ""
    var createTime = ""
    var category:RecordEnum = .none
    var type = ""
}

struct UploadModel:HandyJSON{
    var deleteUrl = ""
    var type = ""
    var url = ""
}


struct NoteModel:HandyJSON{
    var current = -1
    var pages = -1
    var records = [NoteContentModel]()
    var size = -1
    var total = -1
}

struct NoteContentModel:HandyJSON {
    var id = 0
    var orderId = 0
    var createTime = ""
    var category:RecordEnum = .none
    var type = ""
    var describe = ""
    var driverId = 0
}

struct TroubleModel:HandyJSON{
    var current = -1
    var pages = -1
    var records = [TroubleContentModel]()
    var size = -1
    var total = -1
}

struct TroubleContentModel:HandyJSON {
    var id = 0
    var orderId = 0
    var createTime = ""
    var category = ""
    var type = ""
    var describe = ""
    var driverId = 0
}
